Get Thread
curl --request GET \
--url https://api.decodahealth.com/email/threads/{thread_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <api-key>'import requests
url = "https://api.decodahealth.com/email/threads/{thread_id}"
headers = {
"TENANT": "<api-key>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<api-key>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/email/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"subject": "<string>",
"snippet": "<string>",
"isRead": true,
"isStarred": true,
"isArchived": true,
"firstMessageDate": "2023-11-07T05:31:56Z",
"lastMessageDate": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"messages": [],
"sentBy": {
"id": "<string>",
"name": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Email
Get Thread
Get a thread with all its messages.
GET
/
email
/
threads
/
{thread_id}
Get Thread
Authorizations
The tenant you are making this request on behalf of
Your api key
Path Parameters
Query Parameters
Available options:
provider, clinic Response
Successful Response
Full email thread with messages.
Show child attributes
Show child attributes
The staff member who sent an email, for internal attribution.
Show child attributes
Show child attributes

